Skip to main content
PUT
/
bank_accounts
/
{bank_account}
Update a bank account
curl --request PUT \
  --url https://sandbox.nmbr.co/services/payroll/bank_accounts/{bank_account} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_number": "3654916",
  "transit_number": "02002",
  "institution_number": "320"
}
'
{
  "id": "<id>",
  "object": "bank_account",
  "data": {
    "business_entity": {
      "id": "<id>",
      "object": "business_entity",
      "links": {
        "self": "/business_entities/<id>"
      }
    },
    "institution_number": "320",
    "institution_name": "President's Choice Bank",
    "institution_name_translations": {
      "en": "President's Choice Bank",
      "fr": "Banque le Choix du Président"
    },
    "institution_name_translated": "President's Choice Bank",
    "transit_number": "02002",
    "transit_address": "600-500 Lakeshore Blvd West POBOX600, Toronto, ON M5V 2V9",
    "account_number_last_3": "916",
    "is_primary": false,
    "is_deletable": true,
    "warnings": {
      "object": "list",
      "data": []
    },
    "is_pad_signed": false,
    "pad_signer_name": null,
    "pad_signer_email": null,
    "pad_signer_title": null,
    "pad_signed_at": null,
    "pad_file": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/bank_accounts/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

bank_account
string
required

Body

application/json
account_number
string
transit_number
string

The 5-digit bank transit number.

institution_number
string

The 3-digit bank institution number.

is_primary
boolean

Whether this is the primary bank account for its owner.

Indicates that this bank account is the primary bank account. Optional. To set a primary bank account as not primary, set another account as primary.

pad_signer_name
string | null

The name of the person who signed the PAD agreement. Only applicable to Business Entity bank accounts.

pad_signer_email
string

The email address of the PAD agreement signer. Only applicable to Business Entity bank accounts.

pad_signer_title
string | null

The title or role of the PAD agreement signer. Only applicable to Business Entity bank accounts.

pad_signed_at
string<date>

The date and time the PAD agreement was signed. Only applicable to Business Entity bank accounts.

pad_file
string

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("bank_account").

data
Bank Account · object